**Full name**: projects.locations.datasets.dataItems.annotations.list

Lists Annotations belongs to a dataitem.

### Endpoint

get `https://{service-endpoint}/v1/{parent}/annotations`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`parent` `string` Required. The resource name of the DataItem to list Annotations from. Format: `projects/{project}/locations/{location}/datasets/{dataset}/dataItems/{dataItem}`

### Query parameters

`filter` `string` The standard list filter.
`pageSize` `integer` The standard list page size.
`pageToken` `string` The standard list page token.
`readMask` ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Mask specifying which fields to read.

This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`.
`orderBy` `string` A comma-separated list of fields to order by, sorted in ascending order. Use "desc" after a field name for descending.

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.datasets.dataItems.annotations/list#google.cloud.aiplatform.v1.DatasetService.ListAnnotations`.

If successful, the response body contains data with the following structure:
Fields `annotations[]` ``object (`Annotation`)`` A list of Annotations that matches the specified filter in the request.
`nextPageToken` `string` The standard List next-page token.

| JSON representation |
|---|
| ``` { "annotations": [ { object (`Annotation`) } ], "nextPageToken": string } ``` |

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `aiplatform.annotations.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).